Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#4320 closed enhancement (fixed)

Add driver for cadence-spi device for xilinx based BSPs

Reported by: Jan Sommer Owned by: Jan Sommer
Priority: normal Milestone: 6.1
Component: bsps Version: 6
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Implement a spidev compatible driver for using the cadence-spi device of the Zynq devices in standard SPI mode.

Change History (4)

comment:1 Changed on 03/09/21 at 10:41:30 by Jan Sommer

Owner: set to Jan Sommer
Status: newaccepted

comment:2 Changed on 03/10/21 at 19:13:54 by Jan Sommer <jan.sommer@…>

In [changeset:"cc825d0322ecdf67d3254da97b37d69fe7b6519c/rtems" cc825d0/rtems]:

bsps/xilinx_zynq: Add SPI driver for cadence-spi

Updates #4320

comment:3 Changed on 03/10/21 at 19:14:06 by Jan Sommer <jan.sommer@…>

In [changeset:"06129897a9e616a3cfad0d9803d14da68b5cfe3e/rtems" 06129897/rtems]:

bsps/xilinx_zynq: Add SPI driver to waf

Updates #4320

comment:4 Changed on 03/10/21 at 19:14:17 by Jan Sommer <jan.sommer@…>

Resolution: fixed
Status: acceptedclosed

In [changeset:"92239318b1524f10d68dc5f04b4b46dd714718a1/rtems" 9223931/rtems]:

bsps/xilinx_zynq: Add SPI driver to autotools build

Closes #4320

Note: See TracTickets for help on using tickets.